/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOEQUI                                                 */
/* Tabela : TIPOEQUI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 27/04/2006 - Arnaldo Coutinho Brito Junior                                 */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPOEQUI
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOEQUI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPEQ := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPOEQUI,0) <> NVL(:NEW.CDTIPOEQUI,0)) OR
         (NVL(:OLD.NMTIPOEQUI,0) <> NVL(:NEW.NMTIPOEQUI,0)) OR
         (NVL(:OLD.TXOBSTIPEQUI,0) <> NVL(:NEW.TXOBSTIPEQUI,0)) OR
         (NVL(:OLD.IDAGRUPPLANO,0) <> NVL(:NEW.IDAGRUPPLANO,0)) THEN
         :NEW.DTULTATUTPEQ := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOEQUI', '', 'CDTIPOEQUI='||:OLD.CDTIPOEQUI||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOEQUI MODIFY DTULTATUTPEQ DEFAULT SYSDATE
/
